Package org.eclipse.birt.report.engine.api.script.instance

# Interface IDataSetInstance

public interface IDataSetInstance

## Method Summary

Modifier and Type
Method
Description
`Map`
`getAllExtensionProperties()`
Gets the data set extension properties, in the form of a ( name [String], value [String] ) map.
`IColumnMetaData`
`getColumnMetaData()`
Gets the current data set's column metadata, if available.
`IDataSourceInstance`
`getDataSource()`
`String`
`getExtensionID()`
Gets the unique id that identifies the type of the data set, assigned by the extension providing the implementation of this data set.
`String`
`getExtensionProperty(String name)`
Get the value of a data set extension property.
`Map`
`getInputParameters()`
Gets the names and values of all data set input parameters, as a read-only Name (String) -> Value (Object) map.
`Object`
`getInputParameterValue(String paramName)`
Gets the current value of the named data set input parameter.
`String`
`getName()`
Gets the name of this data set
`Map`
`getOutputParameters()`
Gets the names and values of all data set output parameters, as a read-only Name (String) -> Value (Object) map.
`Object`
`getOutputParameterValue(String paramName)`
Gets the current value of the named data set output parameter.
`String`
`getQueryText()`
Gets the query text of the data set.
`void`
`setExtensionProperty(String name, String value)`
Set the value of an extension property
`void`
`setInputParameterValue(String paramName, Object paramValue)`
Sets the value of the named data set input parameter.
`void`
`setOutputParameterValue(String paramName, Object paramValue)`
Sets the value of the named data set output parameter.
`void`
`setQueryText(String queryText)`
Sets the query text of the data set.

## Method Details

### getName

String getName()
Gets the name of this data set

### getDataSource

IDataSourceInstance getDataSource()

Returns:
  The runtime data source associated with this data set

### getExtensionID

String getExtensionID()
Gets the unique id that identifies the type of the data set, assigned by the extension providing the implementation of this data set.

Returns:
  The id fo the type of data set type as referenced by an ODA driver. Null if none is defined.

### getColumnMetaData

IColumnMetaData getColumnMetaData() throws ScriptException
Gets the current data set's column metadata, if available.

Returns:
  column metadata, or null if no metadata is available (e.g., data set is not yet open).
Throws:
  `ScriptException`

### getQueryText

String getQueryText() throws ScriptException
Gets the query text of the data set.

Returns:
  The static query text for execution.
Throws:
  `ScriptException`

### setQueryText

void setQueryText(String queryText) throws ScriptException
Sets the query text of the data set.

Throws:
  `ScriptException`

### getExtensionProperty

String getExtensionProperty(String name)
Get the value of a data set extension property.

Parameters:
  `name` - Name of property; must not be null or empty
Returns:
  Property value; null if property has not been defined

### setExtensionProperty

void setExtensionProperty(String name, String value)
Set the value of an extension property

Parameters:
  `name` - Name of property; must not be null or empty
  `value` - Property value; may be null

### getAllExtensionProperties

Map getAllExtensionProperties()
Gets the data set extension properties, in the form of a ( name [String], value [String] ) map.

Returns:
  Extension properties as a Map of String->String pairs. Null if no extension property is defined

### getInputParameterValue

Object getInputParameterValue(String paramName) throws ScriptException
Gets the current value of the named data set input parameter.

Parameters:
  `paramName` - Name of data set input parameter
Returns:
  Current value of named data set input parameter
Throws:
  `ScriptException` - if named parameter does not exist

### setInputParameterValue

void setInputParameterValue(String paramName, Object paramValue) throws ScriptException
Sets the value of the named data set input parameter. Setting the input parameter value has an effect on the data set only at the data set's beforeOpen event

Parameters:
  `paramName` - name of data set input parameter
  `paramValue` - value of data set input parameter
Throws:
  `ScriptException` - If named parameter does not exist, or if paramValue has an incompatible data type with the declared parameter type

### getInputParameters

Map getInputParameters()
Gets the names and values of all data set input parameters, as a read-only Name (String) -> Value (Object) map.

Returns:
  Name (String) -> Value (Object) map. This map is read-only

### getOutputParameterValue

Object getOutputParameterValue(String paramName) throws ScriptException
Gets the current value of the named data set output parameter. A data set output parameter value is normally available only after the data set has been opened. If this method is called before an output parameter value is available, a null value is returned.

Parameters:
  `paramName` - Name of data set output parameter
Returns:
  Current value of named data set output parameter
Throws:
  `ScriptException` - if named parameter does not exist

### setOutputParameterValue

void setOutputParameterValue(String paramName, Object paramValue) throws ScriptException
Sets the value of the named data set output parameter. It will override any data set output parameter value that may have been provided by the external data source.

Parameters:
  `paramName` - name of data set output parameter
  `paramValue` - value of data set output parameter
Throws:
  `org.eclipse.birt.core.exception.BirtException` - If named parameter does not exist, or if paramValue has an incompatible data type with the declared parameter type
  `ScriptException`

### getOutputParameters

Map getOutputParameters()
Gets the names and values of all data set output parameters, as a read-only Name (String) -> Value (Object) map.

Returns:
  Name (String) -> Value (Object) map. This map is read-only